summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-qt/qtdatavis3d')
-rw-r--r--dev-qt/qtdatavis3d/Manifest1
-rw-r--r--dev-qt/qtdatavis3d/qtdatavis3d-5.9.2.ebuild31
2 files changed, 32 insertions, 0 deletions
diff --git a/dev-qt/qtdatavis3d/Manifest b/dev-qt/qtdatavis3d/Manifest
index e27d90c93de..a7702f9be50 100644
--- a/dev-qt/qtdatavis3d/Manifest
+++ b/dev-qt/qtdatavis3d/Manifest
@@ -1 +1,2 @@
DIST qtdatavis3d-opensource-src-5.7.1.tar.xz 5155740 SHA256 1bff85dcdeed98ad8f0e191f77e7c0e9d57af719c51791044b9c15e939b800f8 SHA512 2739f7ddcf81fa53a2673e7073c1dac54ea15b70175e19697c7711d652101f0f9a41dc5f89ea33bc5675605ba760667ead8cfde10940dbad8ec75f6897c67b5a WHIRLPOOL 4bc4d7bd5ccf4dcdc74a9ad6d953b0c236c0d3bc0b23bc238b24a600d34e5d5de4b39ba22541b65084fe33a511a97c907c5c6e0e5c62f65440f4f59928238727
+DIST qtdatavis3d-opensource-src-5.9.2.tar.xz 5163316 SHA256 06ae5699872d048e8bb99464c420db3749c8b7601e9f855ce8b1e156d792b2b2 SHA512 5f173401ba2f0ebb4bbb1ff65053f1ece44a97a8bf1d9fc8d81540709c588e140c533d5f317d6a9109d538e38aa742d42bf00906f63d433811bc1c8526788dc3 WHIRLPOOL 308cb9573bb57b9597e048401dcdebbd28ac6b93fad16098b558f39fa594b5e155b1ee6764bb9f525cf7e5344d4252a6abebb8f56045116386e50ec728c5c26c
diff --git a/dev-qt/qtdatavis3d/qtdatavis3d-5.9.2.ebuild b/dev-qt/qtdatavis3d/qtdatavis3d-5.9.2.ebuild
new file mode 100644
index 00000000000..4ce3a82a3a9
--- /dev/null
+++ b/dev-qt/qtdatavis3d/qtdatavis3d-5.9.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="3D data visualization library for the Qt5 framework"
+LICENSE="GPL-3"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~x86"
+fi
+
+IUSE="gles2 qml"
+
+DEPEND="
+ ~dev-qt/qtcore-${PV}
+ ~dev-qt/qtgui-${PV}[gles2=]
+ qml? ( ~dev-qt/qtdeclarative-${PV}[gles2=] )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ # eliminate bogus dependency on qtwidgets
+ sed -i -e '/requires.*widgets/d' qtdatavis3d.pro || die
+
+ qt_use_disable_mod qml quick \
+ src/src.pro
+
+ qt5-build_src_prepare
+}